#!/usr/bin/python
'''
    Copyright 2009, 2010 Oskar Andreasson

    This file is part of EveConsole.

    EveConsole is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    EveConsole is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with EveConsole.  If not, see <http://www.gnu.org/licenses/>.

@author: oan
'''
#from pyEveApi.MarketOrders import MarketOrders
from pyEveApi.Characters import Characters
from pyEveApi.SkillInTraining import SkillInTraining
from pyEveApi.SkillQueue import SkillQueue
from pyEveApi.SaveCharacter import SaveCharacter
from pyEveApi.AccountBalance import AccountBalance
from pyEveApi.ItemDB import ItemDB
#from datetime import datetime
import pyEveApi.debugger as debugger

BLUE = '\033[94;1m'
PINK = '\033[35;1m'
GREEN = '\033[92m'
YELLOW = '\033[93m'
RED = '\033[91m'
ENDC = '\033[0m'

if __name__ == '__main__':
    debugger.DBUG(3, "Start")

    items = ItemDB()
    char = SaveCharacter()
    char.loadCache()

    try:
        chars = Characters(char.getUserID(),
                           char.getApiKey())
    except Exception as e:
        print e
        exit()

    for node in chars.getCharactersByName():
        # Charactername + corpname            
        print BLUE + str(node["name"]).ljust(30) + str(node["corporationName"]).ljust(20) + ENDC
        
        # Account balances
        try:
            balance = AccountBalance(char.getUserID(), char.getApiKey(), node["characterID"])
            print PINK + str("ISK Balance:").ljust(30) + YELLOW + str(balance.getBalance()).ljust(20) + ENDC
        except Exception as e:
            print e
            exit()
        
        # Skill in Training right now
        try:
            training = SkillInTraining(char.getUserID(), char.getApiKey(), node["characterID"])
            if training.getSkillName(items) != None:
                print PINK + str("Skill in training:").ljust(30) + YELLOW + str(str(training.getSkillName(items)) + " Lvl" + str(training.getToLevel())).ljust(30) + " Finished: " + str(training.getTrainingEndTime()) + ENDC
            else:
                print PINK + str("Skill in training:").ljust(30) + RED + "None" + ENDC
        except Exception as e:
            print e
            exit()
            
        # Skill Queue
        try:
            queue = SkillQueue(char.getUserID(), char.getApiKey(), node["characterID"])
            print PINK + str("SkillQueue:").ljust(29) + ENDC,
            nodes = queue.getSkillQueueSortedByQueuePosition()
            if nodes != None:
                for node in nodes:
                    print YELLOW + items.getName(int(node["typeID"])) + " " + ENDC,
                print ""
            else:
                print RED + "None" + ENDC
            pass
        except Exception as e:
            print e
            exit()
        print ""
