#!/usr/bin/python
'''
    Copyright 2009, 2010 Oskar Andreasson

    This file is part of EveConsole.

    EveConsole is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    EveConsole is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with EveConsole.  If not, see <http://www.gnu.org/licenses/>.

@author: oan
'''
from pyEveApi.Characters import Characters
from datetime import datetime
import pyEveApi.debugger as debugger
import getopt
import sys

BLUE = '\033[94m'
GREEN = '\033[92m'
YELLOW = '\033[93m'
RED = '\033[91m'
ENDC = '\033[0m'

def usage():
    print "--help"
    print "-u, --userid"
    print "-a, --apikey"
    pass


if __name__ == '__main__':
    debugger.DBUG(3, "Start")
    
    try:
        opts, args = getopt.getopt(sys.argv[1:], "u:a:h", ["userid=", "apikey=", "help"])
    except getopt.GetoptError, err:
        print str(err)
        usage()
        sys.exit()
    
    userid=None
    apikey=None
    for o, a in opts:
        if o in ("-h", "--help"):
            usage()
            sys.exit()
        elif o in ("-u", "--userid"):
            userid = a
        elif o in ("-a", "--apikey"):
            apikey = a
    if (userid == None) or (apikey == None):
        usage()
        sys.exit()

    try:
        chars = Characters(userid, 
                           apikey)
    except Exception as e:
        print e
        exit()
    
    print "Time to next cache update: ", 
    d1 =  chars.cachedUntil - datetime.now()
    print str(d1)

    print GREEN + "Characters"+ ENDC
    print BLUE + str("Name").ljust(40),
    print str("ID").ljust(20) + ENDC
    for node in chars.getCharactersByName():
        print RED + str(node["name"]).ljust(40),
        print str(node["characterID"]).ljust(20) + ENDC
        pass
    
     