#!/usr/bin/python
'''
    Copyright 2009, 2010 Oskar Andreasson

    This file is part of EveConsole.

    EveConsole is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    EveConsole is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with EveConsole.  If not, see <http://www.gnu.org/licenses/>.

@author: oan
'''
from pyEveApi.MailMessages import MailMessages
from pyEveApi.SaveCharacter import SaveCharacter
from pyEveApi.ItemDB import ItemDB
from datetime import datetime
import pyEveApi.debugger as debugger

BLUE = '\033[94m'
GREEN = '\033[92m'
YELLOW = '\033[93m'
RED = '\033[91m'
ENDC = '\033[0m'

if __name__ == '__main__':
    debugger.DBUG(3, "Start")

    char = SaveCharacter()
    char.loadCache()

    try:
        mail = MailMessages(char.getUserID(), char.getApiKey(), char.getCharacterID())
    except Exception as e:
        print e
        exit()
    
    print "Time to next cache update: ", 
    d1 =  mail.cachedUntil - datetime.now()
    print str(d1)

    print BLUE + "Mail Messages" + ENDC
    print BLUE + str("Time").ljust(15),
    print str("From").ljust(20),
    print str("Subject").ljust(55) + ENDC
    nodes = mail.getLatest(20)
    for node in nodes:
        str(node["sentDate"]).ljust(15),
        str(node["senderID"]).ljust(20),
        str(node["title"]).ljust(55)
        pass