#!/usr/bin/python
'''
    Copyright 2009, 2010 Oskar Andreasson

    This file is part of EveConsole.

    EveConsole is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    EveConsole is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with EveConsole.  If not, see <http://www.gnu.org/licenses/>.

@author: oan
'''
from pyEveApi.WalletTransaction import WalletTransaction
from pyEveApi.SaveCharacter import SaveCharacter
from pyEveApi.ItemDB import ItemDB
from datetime import datetime, timedelta
import os

BLUE = '\033[94m'
GREEN = '\033[92m'
YELLOW = '\033[93m'
RED = '\033[91m'
ENDC = '\033[0m'


if __name__ == '__main__':
#    print "Start"
    
    items = ItemDB()
    char = SaveCharacter()
    char.loadCache()
    wallet = WalletTransaction(char.getUserID(),
                                char.getApiKey(),
                                char.getCharacterID())

    print str(wallet.cachedUntil), 
    print " - ",
    print str(datetime.now())
    print "Time to next cache update: ",
    d1 =  wallet.cachedUntil - datetime.now()
    print str(d1)
    
    rows, cols = os.popen("stty size", "r").read().split()
    
    nodes = wallet.getLatest(int(rows)-4)

    # Header
    print BLUE + str("Time").ljust(20),
    print str("Item").ljust(40),
    print str("Quantity").rjust(10),
    print str("Price").rjust(14) + ENDC
 
    for node in nodes:
        name = items.getName(int(node["typeID"]))
        quantity = int(node["quantity"])
        price = node["price"]
        time = node["transactionDateTime"]
        if node["transactionType"] == "buy":
            print RED + str(time).ljust(20),
        else:
            print GREEN + str(time).ljust(20),
        print str(name).ljust(40),
        print repr(quantity).rjust(10),

        print str(price).rjust(14) + ENDC

#    node = wallet.ParsedTree.getElementsByTagName("rowset")[0]
#    print "node.ATTRIBUTE_NODE" + str(node.ATTRIBUTE_NODE)
#    print "node.ELEMENT_NODE" + str(node.ELEMENT_NODE)
#    print "node.TEXT_NODE" + str(node.TEXT_NODE)
#    print "node.CDATA_SECTION_NODE" + str(node.CDATA_SECTION_NODE)
#    print "node.ENTITY_NODE" + str(node.ENTITY_NODE)
#    print "node.PROCESSING_INSTRUCTION_NODE" + str(node.PROCESSING_INSTRUCTION_NODE)
#    print "node.COMMENT_NODE" + str(node.COMMENT_NODE)
#    print "node.DOCUMENT_NODE" + str(node.DOCUMENT_NODE)
#    print "node.DOCUMENT_TYPE_NODE" + str(node.DOCUMENT_TYPE_NODE)
#    print "node.NOTATION_NODE" + str(node.NOTATION_NODE)
