#!/usr/bin/python
'''
    Copyright 2009, 2010 Oskar Andreasson

    This file is part of EveConsole.

    EveConsole is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    EveConsole is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with EveConsole.  If not, see <http://www.gnu.org/licenses/>.

@author: oan
'''
import getopt
import sys
from pyEveApi.SaveCharacter import SaveCharacter

def usage():
    print "--help"
    print "-c, --characterid"
    print "-u, --userid"
    print "-a, --apikey"
    pass


if __name__ == '__main__':
    try:
        opts, args = getopt.getopt(sys.argv[1:], "u:a:c:h", ["userid=", "apikey=", "characterid=", "help"])
    except getopt.GetoptError, err:
        print str(err)
        usage()
        sys.exit()
    
    userid=None
    apikey=None
    characterid=None
    for o, a in opts:
        if o in ("-h", "--help"):
            usage()
            sys.exit()
        elif o in ("-u", "--userid"):
            userid = a
        elif o in ("-a", "--apikey"):
            apikey = a
        elif o in ("-c", "--characterid"):
            characterid = a
    if (userid == None) or (apikey == None) or (characterid == None):
        usage()
        sys.exit()
    char = SaveCharacter(userid, apikey, characterid)
    char.saveCache()
    
    print "Character set"
        
    pass
